<?php
/**
 * FlickrImport
 *
 * Import your flickr stream into your pixelpost stream.
 *
 * IMPORTANT :
 *
 * This Pixelpost Addon include a modified part of Phlickr
 * produced by Andrew Morton <drewish@katherinehouse.com>
 * (@link http://sourceforge.net/projects/phlickr/)
 * which is under LGPL license.
 *
 * This Pixelpost addon is heavily inspired by Pixelpost Importr addon produced
 * by Christian Cueni <chrigu@trivialview.ch> (@link http://www.trivialview.ch)
 * which is under GPL license.
 *
 * REQUIREMENTS :
 *
 * - PHP CURL library installed
 * - SimpleXml library installed
 *
 * LICENCE :
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * @version 0.03
 * @author Alban Leroux <seza@paradoxal.org>
 * @see http://www.paradoxal.org/blog/
 * @license GPL License: http://www.gnu.org/copyleft/gpl.html
 */

// the check auth url
$authUrl  = $api->buildAuthUrl('read', $frob);
$checkUrl = $baseUrl . '&amp;action=checkAuth&amp;ffrob=' . urlencode(base64_encode($frob));

?>

<div class="jcaption">1. Authorize the application on your Flickr Account</div>
<div class="content">
    <?php if ($eMessage != '') : ?>
    <p style="color:red;font-weight:bold;"><?php echo $eMessage; ?></p>
    <?php endif; ?>

    <p>
        <?php echo $me; ?> need a <em>READ</em> access to your Flickr account.
    </p>

    <p>
        <a href="<?php echo $authUrl ?>" target="_blank">Click here to authorize
        <?php echo $me; ?> on your Flickr account</a>
    </p>

    <p>
        You will show an advertisement which says that this addons is a
        web site and not a desktop application, that's normal.
    </p>
</div>

<div class="jcaption">2. Valid the Authorization.</div>
<div class="content">
    <p>
        <a href="<?php echo $checkUrl; ?>">Click here to verifiy the authorization</a>
    </p>
</div>
